## dbus-python 1.2.18

=== debian/changelog ===
dbus-python (1.2.18-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:41 +0100

dbus-python (1.2.18-3) unstable; urgency=medium

  * Don't do a separate build for python3.x-dbg (Closes: #994299)
  * Update lintian overrides
  * d/rules: Don't let debhelper >= 13.4 make test data executable
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Sep 2021 16:46:27 +0100

dbus-python (1.2.18-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 10:48:49 +0100

dbus-python (1.2.18-1) experimental; urgency=medium

  * New upstream release
  * Update Lintian overrides
  * Use recommended debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jul 2021 10:50:20 +0100

=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Loic Minier <lool@dooz.org>,
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 dbus (>= 1.8),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dpkg-dev (>= 1.16.1),
 libdbus-1-dev (>= 1.8),
 libglib2.0-dev (>= 2.40),
 python3-all-dev,
 python3-gi,
 python3-tap <!nocheck>,
Build-Depends-Indep:
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
Vcs-Browser: https://salsa.debian.org/debian/dbus-python
Testsuite: autopkgtest-pkg-python

Package: python-dbus-dev
Section: python
Architecture: all
Depends:
 libdbus-1-dev (>= 1.6),
 ${misc:Depends},
Description: main loop integration development files for python3-dbus
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides development files required to compile main-loop
 integration modules for python3-dbus, such as dbus.mainloop.pyqt5 provided
 by PyQt. It is Python-version-independent, and was shared between Python 3
 and Python 2 when Python 2 was supported in Debian, so packages that
 build-depend on python-dbus-dev should also build-depend on python3-dbus.

Package: python-dbus-doc
Section: doc
Architecture: all
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-dbus,
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python3-dbus package.

Package: python3-dbus
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-gi,
Suggests:
 python-dbus-doc,
Provides:
 ${python3:Provides},
Description: simple interprocess messaging system (Python 3 interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python 3 interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python3-dbus-tests
Section: python
Architecture: any
Depends:
 dbus,
 python3-dbus,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
 python3-gi,
Description: simple interprocess messaging system (Python 3 interface - tests)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package contains automated tests for the "dbus" Python bindings for
 the reference D-Bus implementation, to be run under Python 3.
 .
 See the dbus description for more information about D-Bus in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2012 Collabora Ltd.

binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

PYTHON3 := $(shell py3versions --requested --version debian/control)
PYDEFAULTVER := $(shell py3versions --default --version)

FLAVOURS := $(PYTHON3)

%:
	dh $@ $(DH_ADDONS) --buildsystem=autoconf
build binary %-indep: DH_ADDONS=--with=sphinxdoc

override_dh_auto_configure-arch:
	set -e; for x in $(FLAVOURS); do \
		dh_auto_configure \
			--builddirectory=build-$$x \
			-- \
			PYTHON=/usr/bin/python$$x \
			--disable-documentation \
			--enable-installed-tests \
			--libdir=/usr/lib \
			; \
	done
override_dh_auto_configure-indep:
	dh_auto_configure \
		--builddirectory=build-indep \
		-- \
		PYTHON=/usr/bin/python3 \
		--libdir=/usr/lib \
		--disable-installed-tests \
		--enable-documentation \
		--docdir=/usr/share/doc/python-dbus-doc \
		--htmldir=/usr/share/doc/python-dbus-doc/html \
		${NULL}

override_dh_auto_build-arch:
	set -e; for x in $(FLAVOURS); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_build \
			--arch \
			--builddirectory=build-$$x \
			-- \
			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
			$(NULL); \
	done
override_dh_auto_build-indep:
	PYTHON=/usr/bin/python3 dh_auto_build --indep --builddirectory=build-indep

override_dh_auto_test-arch:
	set -e; for x in $(PYTHON3); do \
		LC_ALL=C.UTF-8 \
		PYTHON=/usr/bin/python$$x \
		VERBOSE=1 \
		dh_auto_test --no-parallel --arch --builddirectory=build-$$x; \
	done
override_dh_auto_test-indep:
	:

override_dh_auto_install-arch:
	set -e; for x in $(PYTHON3); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$x \
			--destdir=debian/tmp \
			-- \
			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
			pyexecdir='$${pythondir}' \
			pythondir='$${libdir}/python3/dist-packages' \
			; \
		so=`/usr/bin/python$$x -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
			debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
		mv "debian/tmp/usr/libexec/installed-tests/dbus-python/python$$x/test/dbus_py_test.so" \
			"debian/tmp/usr/lib/python3/dist-packages/dbus_py_test$$so"; \
	done
	install -d debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info
	install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
	install -m644 dbus_python.egg-info/dependency_links.txt debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
	install -m644 dbus_python.egg-info/top_level.txt debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
	touch debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/not-zip-safe

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms-arch:
	dh_fixperms -a -Xusr/libexec/installed-tests
	chmod --recursive --changes a+rX,u+w,og-w debian/python3-dbus-tests/usr/libexec/installed-tests

override_dh_auto_install-indep:
	dh_auto_install \
		--indep \
		--builddirectory=build-indep \
		--destdir=debian/tmp-indep \
		$(NULL)

override_dh_install:
	rm -fr debian/tmp/usr/include
	rm -fr debian/tmp/usr/lib/pkgconfig
	rm -fr debian/tmp/usr/share/doc/dbus-python
	find debian/tmp -name '*.py[co]' -print0 | xargs -0 rm -f
	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_installexamples:
	dh_installexamples --doc-main-package=python-dbus-doc -ppython-dbus-doc
	dh_installexamples --remaining-packages

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-dbus-doc -ppython-dbus-doc
	dh_installdocs --doc-main-package=python3-dbus -ppython3-dbus
	dh_installdocs --remaining-packages

override_dh_sphinxdoc-indep:
	dh_sphinxdoc /usr/share/doc/python-dbus-doc/html

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build-* install-3*
	find . -name '*.py[co]' -print0 | xargs -0 rm -f

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='python3-dbg (<< 1.2.18-3~)'

override_dh_python3:
	dh_python3
	set -e; for x in $(PYTHON3); do \
		dh_python3 --shebang="/usr/bin/python$$x" \
			/usr/libexec/installed-tests/dbus-python/python$$x; \
	done

ifeq ($(DEB_HOST_ARCH),mipsel)
override_dh_dwz:
	: # Skip dh_dwz on mipsel, https://bugs.debian.org/972269
endif

=== debian/tests/control ===
Tests: build3
Depends:
 build-essential,
 libglib2.0-dev,
 python-dbus-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-dbus,

Tests: python3
Depends:
 dbus,
 gnome-desktop-testing,
 python3-dbus-tests,
 python3-gi,
 python3-tap,

## dbus-python 1.3.2

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: MIT

option(
  'doc',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable "as-installed" testing',
)

option(
  'installed_tests_subdir',
  type: 'string',
  value: '',
  description: 'Suffix to make installed-tests from multiple builds co-installable',
)

option(
  'python',
  type: 'string',
  value: '',
  description: 'Override the Python interpreter to use',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests',
)

=== debian/changelog ===
dbus-python (1.3.2-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:50:57 +0000

dbus-python (1.3.2-5build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:09:08 +0100

dbus-python (1.3.2-5build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 17:06:36 +0100

dbus-python (1.3.2-5) unstable; urgency=medium

  * d/rules: Set DEB_PYTHON_INSTALL_LAYOUT=deb.
    This avoids newer Meson versions trying to install into /usr/local.
    Mitigates: #1041537
  * Remove version constraints unnecessary since Debian 11

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Jul 2023 11:34:51 +0100

dbus-python (1.3.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set Multi-Arch: foreign on python-dbus-doc

  [ Simon McVittie ]
  * Update standards version to 4.6.2 (no changes needed)
  * d/rules: Remove workaround for #972269 (no longer needed,
    the bug was fixed in dwz)
  * d/watch: Watch for any version number.
    dbus-python does not use odd/even versioning, unlike dbus.
  * d/clean: Remove all files that mention distutils.
    This helps to verify that we are not relying on it for the Debian
    package build any more.
  * d/source/lintian-overrides: Silence uses-python-distutils tag

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jan 2023 20:42:02 +0000

dbus-python (1.3.2-3) unstable; urgency=medium

  * Increase an arbitrary test timeout to avoid intermittent FTBFS on
    slower buildds such as alpha, mips64el and riscv64 (Closes: #1024210)

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Nov 2022 11:28:44 +0000

dbus-python (1.3.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove version constraints unnecessary since buster (oldstable)

  [ Simon McVittie ]
  * d/upstream/metadata: Update Gitlab URLs
  * Drop transition for old debug package migration
  * Build/test-depend on dbus-daemon instead of dbus.
    The dbus component required by this package's tests is dbus-run-session;
    it doesn't need a fully-featured system bus.
  * Move dbus_py_test module into public dist-packages directory.
    This is a workaround for #942720 in dh-python, which was lost in the
    move from Autotools to Meson.

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Nov 2022 18:28:33 +0000

dbus-python (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Don't run autoreconf, no longer needed

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Sep 2022 23:48:17 +0100

dbus-python (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Build using Meson
  * d/copyright: Update
  * Work around #998059 in sphinx by resetting language environment
    variables. This should make the documentation reproducible.
  * Standards-Version: 4.6.1 (no changes required)
  * Update Lintian overrides
  * d/rules, d/clean: Continue to install .egg-info directory

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Sep 2022 18:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: dbus-python
 Section: devel
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
  Simon McVittie <smcv@debian.org>,
  Loic Minier <lool@dooz.org>,
 Build-Depends:
- autoconf,
- autoconf-archive,
- automake,
- dbus (>= 1.8),
+ dbus-daemon,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
- dpkg-dev (>= 1.16.1),
- libdbus-1-dev (>= 1.8),
- libglib2.0-dev (>= 2.40),
+ libdbus-1-dev,
+ libglib2.0-dev,
+ meson,
+ ninja-build,
  python3-all-dev,
  python3-gi,
+ python3-setuptools,
  python3-tap <!nocheck>,
+ python3-wheel,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Software/DBusBindings#Python
 Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
 Vcs-Browser: https://salsa.debian.org/debian/dbus-python
@@ -35,7 +36,7 @@
 Section: python
 Architecture: all
 Depends:
- libdbus-1-dev (>= 1.6),
+ libdbus-1-dev,
  ${misc:Depends},
 Description: main loop integration development files for python3-dbus
  D-Bus is a message bus, used for sending messages between applications.
@@ -58,6 +59,7 @@
  ${sphinxdoc:Depends},
 Suggests:
  python3-dbus,
+Multi-Arch: foreign
 Description: Documentation for the D-Bus Python interface
  This package provides text and HTML documentation, and examples, for the
  python3-dbus package.
@@ -88,7 +90,7 @@
 Section: python
 Architecture: any
 Depends:
- dbus,
+ dbus-daemon,
  python3-dbus,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_PYTHON_INSTALL_LAYOUT = deb
+export LANGUAGE=C.UTF-8
+export LC_ALL=C.UTF-8
+unexport LANG
+unexport LC_MESSAGES
 
 include /usr/share/dpkg/default.mk
 
@@ -16,17 +21,21 @@
 FLAVOURS := $(PYTHON3)
 
 %:
-	dh $@ $(DH_ADDONS) --buildsystem=autoconf
+	dh $@ $(DH_ADDONS) --buildsystem=meson
 build binary %-indep: DH_ADDONS=--with=sphinxdoc
+
+override_dh_autoreconf:
+	:
 
 override_dh_auto_configure-arch:
 	set -e; for x in $(FLAVOURS); do \
 		dh_auto_configure \
 			--builddirectory=build-$$x \
 			-- \
-			PYTHON=/usr/bin/python$$x \
-			--disable-documentation \
-			--enable-installed-tests \
+			-Dpython=/usr/bin/python$$x \
+			-Ddoc=false \
+			-Dinstalled_tests=true \
+			-Dinstalled_tests_subdir=python$$x \
 			--libdir=/usr/lib \
 			; \
 	done
@@ -34,12 +43,10 @@
 	dh_auto_configure \
 		--builddirectory=build-indep \
 		-- \
-		PYTHON=/usr/bin/python3 \
+		-Dpython=/usr/bin/python3 \
 		--libdir=/usr/lib \
-		--disable-installed-tests \
-		--enable-documentation \
-		--docdir=/usr/share/doc/python-dbus-doc \
-		--htmldir=/usr/share/doc/python-dbus-doc/html \
+		-Dinstalled_tests=false \
+		-Ddoc=true \
 		${NULL}
 
 override_dh_auto_build-arch:
@@ -49,8 +56,6 @@
 			--arch \
 			--builddirectory=build-$$x \
 			-- \
-			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
-			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
 			$(NULL); \
 	done
 override_dh_auto_build-indep:
@@ -61,7 +66,13 @@
 		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x \
 		VERBOSE=1 \
-		dh_auto_test --no-parallel --arch --builddirectory=build-$$x; \
+		dh_auto_test \
+			--no-parallel \
+			--arch \
+			--builddirectory=build-$$x \
+			-- \
+			--timeout-multiplier 3 \
+			; \
 	done
 override_dh_auto_test-indep:
 	:
@@ -74,18 +85,9 @@
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
 			-- \
-			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
-			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
-			pyexecdir='$${pythondir}' \
-			pythondir='$${libdir}/python3/dist-packages' \
 			; \
-		so=`/usr/bin/python$$x -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
-		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
-			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
-		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
-			debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
-		mv "debian/tmp/usr/libexec/installed-tests/dbus-python/python$$x/test/dbus_py_test.so" \
-			"debian/tmp/usr/lib/python3/dist-packages/dbus_py_test$$so"; \
+		mv debian/tmp/usr/libexec/installed-tests/dbus-python/python$$x/test/*.so \
+			debian/tmp/usr/lib/python3/dist-packages/; \
 	done
 	install -d debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info
 	install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
@@ -137,17 +139,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='python3-dbg (<< 1.2.18-3~)'
-
 override_dh_python3:
 	dh_python3
 	set -e; for x in $(PYTHON3); do \
 		dh_python3 --shebang="/usr/bin/python$$x" \
 			/usr/libexec/installed-tests/dbus-python/python$$x; \
 	done
-
-ifeq ($(DEB_HOST_ARCH),mipsel)
-override_dh_dwz:
-	: # Skip dh_dwz on mipsel, https://bugs.debian.org/972269
-endif

## dbus-python 1.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,8 +3,9 @@
 
 option(
   'doc',
-  type: 'boolean',
-  value: false,
+  type: 'feature',
+  value: 'disabled',
+  deprecated: {'true': 'enabled', 'false': 'disabled'},
   description: 'Enable documentation',
 )
 
@@ -31,7 +32,8 @@
 
 option(
   'tests',
-  type: 'boolean',
-  value: true,
+  type: 'feature',
+  value: 'auto',
+  deprecated: {'true': 'auto', 'false': 'disabled'},
   description: 'Enable unit tests',
 )

=== subprojects/dbus-gmain/meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: MIT

option(
    'redefine_function_declaration',
    type: 'string',
    value: 'G_GNUC_INTERNAL ret DBUS_GMAIN_FUNCTION_NAME (name) (__VA_ARGS__)',
    description: 'Redefinition of DBUS_GMAIN_FUNCTION(ret, name, ...)',
)

option(
    'redefine_function_name',
    type: 'string',
    value: 'dbus_gmain_ ## name',
    description: 'Redefinition of DBUS_GMAIN_FUNCTION_NAME(name)',
)

option(
    'tests',
    type: 'boolean',
    value: true,
    description: 'Enable unit tests',
)

=== debian/changelog ===
dbus-python (1.4.0-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:01:13 +0000

dbus-python (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/rules: Update the option used to enable/disable documentation
  * d/gbp.conf: Update packaging branch to debian/latest
  * d/clean: Fix FTBFS when built twice in a row by deleting
    debian/tmp-indep (Closes: #1044812)
  * d/salsa-ci.yml: Use recommended recipe URL
  * d/salsa-ci.yml: Don't attempt cross-building.
    The build-dependencies are known not to be satisfiable for this
    particular package right now.
  * d/upstream/metadata: Add Security-Contact field
  * Update lintian overrides
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Mar 2025 18:38:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dbus-python
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Sebastian Dröge <slomo@debian.org>,
@@ -26,7 +25,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/wiki/Software/DBusBindings#Python
 Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
 Vcs-Browser: https://salsa.debian.org/debian/dbus-python

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 			--builddirectory=build-$$x \
 			-- \
 			-Dpython=/usr/bin/python$$x \
-			-Ddoc=false \
+			-Ddoc=disabled \
 			-Dinstalled_tests=true \
 			-Dinstalled_tests_subdir=python$$x \
 			--libdir=/usr/lib \
@@ -46,7 +46,7 @@
 		-Dpython=/usr/bin/python3 \
 		--libdir=/usr/lib \
 		-Dinstalled_tests=false \
-		-Ddoc=true \
+		-Ddoc=enabled \
 		${NULL}
 
 override_dh_auto_build-arch:

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Tests: python3
 Depends:
- dbus,
+ dbus-daemon,
  gnome-desktop-testing,
  python3-dbus-tests,
  python3-gi,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://dbus.freedesktop.org/releases/dbus-python/dbus-python-@ANY_VERSION@\.tar\.gz
